:root{
    --primary-100:#0077C2;
    --primary-200:#59a5f5;
    --primary-300:#c8ffff;
    --accent-100:#00BFFF;
    --accent-200:#00619a;
    --text-100:#333333;
    --text-200:#5c5c5c;
    --bg-100:#FFFFFF;
    --bg-200:#f5f5f5;
    --bg-300:#cccccc;
}
@font-face{
  font-family: "Estedad";
  src: url(../fonts/Estedad.woff2) format("woff2"),
}
*{
    box-sizing: border-box;
}
html,body{
    scroll-behavior: smooth;
}
a{
    text-decoration: none;
    color: var(--bg-300);
}
a:hover{
    color: var(--text-100);
}
body{
    font-family: "Estedad", sans-serif;
    line-height: 1.6;       /* فاصله بین خطوط */
    letter-spacing: 0.5px;  /* فاصله بین حروف */
    background-size: cover;
    background-color: var(--bg-200);
    /*background: linear-gradient(180deg, #FFFFFF, #777777);*/
}
h1{
    padding: 2px 6px; 
    margin: 4px;
    border: 3px solid var(--bg-300);
    border-radius: 30px; 
    color: var(--text-100); 
    text-shadow: -1px 1px 0px rgb(83, 83, 83); 
    text-align: center;
    box-shadow:  rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
    font-weight: 500;
}
h2{
    text-align: center;
    color: var(--text-100);
}
h3{
    text-align: center;
    color: var(--text-100);
}
p{
    text-align: justify;
    color: var(--text-100);
}
ol li{
    color: var(--text-100);
}
ul li{
    color: var(--text-100);
}
li{
    color: var(--text-100);
}
figcaption{
    color: var(--text-100);
}
.bg-body-tertiary {

    background-color: #ffffffe3 !important;
}
.carousel-inner{
    border-radius: 10px;
    direction: rtl;
}
.img{
    display:block;
    width:100%;
    height:auto;
    border-radius: 10px;
}
.hvid{
    text-align: center;
    margin: 10px;
}
.video{
    box-shadow: 0px 5px 5px var(--bg-300); 
    border-radius: 40px;
}
.gallery{
    text-align: center;
}
.gallery img{
    border: 3px solid var(--bg-300);
    border-radius: 15px;
    box-shadow: 0px 0px 4px var(--bg-300);
    margin: 50px;
    transition: 0.2s;
    width: 150px;
    aspect-ratio: 1;
    object-fit: cover;
    filter: invert(0.3);
}
.gallery img:hover{
    transform: translate(5px, 5px) scale(1.1);
    filter: invert(0);
    border: 3px solid var(--bg-300);
    box-shadow: 0px 0px 4px var(--bg-300);
}
.form input,select{
    font-family: Estedad;
}
.navbar{
    background-color: #FFFFFF;
}
#up{
    position: fixed;
    right: 30px;
    bottom: 30px;
    margin: 0 auto;
    width: 50px;
    aspect-ratio: 1;
    background-image: url(../images/btn.png);
}
#up:hover{
    background-position: top right;
}
input[type=password]{
    direction: ltr;
}
input[type=tel]{
    direction: ltr;
}
input[type=email]{
    direction: ltr;
}
#username{
    direction: ltr;
}
#National{
    direction: ltr;
}
#birthdate{
    direction: ltr;
}
#Postal{
    direction: ltr;
}
#WPostal{
    direction: ltr;
}

/*Website Structure*/
header,aside,article,footer{
    background-color: var(--bg-100);
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
}
main{
    display: grid;
    grid-template-columns: 200px auto;
    grid-template-rows: auto auto auto;
    grid-template-areas:
    'header header'
    'aside aside'
    'article article'
    'footer footer'
    ;
    gap: 10px;
    width: 950px;
    margin: 0 auto;
    padding: 10px;
}
header{
    grid-area: header;
    align-items: center;
    justify-content: center;
    display: flex;
    align-items: center;
    padding: 10px 20px;
    height: 65px;
    direction: rtl;
}
aside{
    grid-area: aside;
    padding: 10px;
}
article{
    grid-area: article;
    padding: 10px;
}
footer{
    grid-area: footer;
    direction: ltr;
    text-align: center;
    padding: 25px;
    color: var(--text-100);
}
#main-menu{
    display: none;
    /*visibility: hidden;*/
    font-weight: 300;
}
#main-menu a{
    position: relative;
    color: var(--text-100);
    text-decoration: none;
    overflow: hidden;
    z-index: 1;
    transition: color 0.3s ease, transform 0.25s ease, box-shadow 0.25s ease;
    border-radius: 6px;
}
#main-menu a::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 0%;
    background: var(--accent-100);      /* رنگ هاور */
    z-index: -1;
    transition: height 0.3s ease;
}
#main-menu a:hover{
    color: var(--accent-100);
    transform: translateX(-4px);
    box-shadow: 0 6px 14px rgba(0,0,0,0.2);
}
#main-menu a:hover::before{
    height: 100%;
}
#main-menu ul{
    list-style-type: none;
    padding: 0px;
    margin: 0;
}
#main-menu ul li a{
    display: block;
    width: 100%;
    height: 100%;
    color: var(--text-100);
    padding: 7px 9px;
    margin: 3px 0px;
    background-color: var(--bg-100);
    transition: 0.3s;
}
#main-menu ul li a:hover{
    background-color: var(--accent-100);
    color: var(--bg-100);
}
#nav{
    font-weight: 300;
    position: relative;
    display: none;
    direction: rtl;
    transition: 0.3s;
}
#nav a{
    position: relative;
    color: var(--text-100);
    text-decoration: none;
    overflow: hidden;
    z-index: 1;
    transition: color 0.3s ease, transform 0.25s ease, box-shadow 0.25s ease;
    border-radius: 6px;
}
#nav a::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 0%;
    background: var(--accent-100);      /* رنگ هاور */
    z-index: -1;
    transition: height 0.3s ease;
}
#nav a:hover{
    color: var(--accent-100);
    transform: translateY(-4px);
    box-shadow: 0 6px 14px rgba(0,0,0,0.2);
}
#nav a:hover::before{
    height: 100%;
}
#nav ul{
    display: flex;
    list-style-type: none;
    padding: 0px;
    margin: 0px;
    text-align: center;
}
#nav li{
    position: relative;
    padding: 0 12px;
}
#nav li:not(:last-child)::after{
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 1px;
    height: 16px;
    background: var(--accent-100);
    transition: background 0.3 ease;
    opacity: 0.6;
}
#nav li:hover::after{
    background: var(--accent-100);
}
#nav ul li{
    display: inline-block;
}
#nav ul li a{
    display: block;
    width: 100%;
    height: 100%;
    padding: 5px 7px;
    background-color: var(--bg-100);
    color: var(--text-100);
    border-radius: 10px 10px 10px 10px;
    transition: 0.3s;
}
#nav ul li a:hover{
    background-color: var(--accent-100);
    border-block-end: 3px solid var(--bg-100);
    color: var(--bg-100);
}
#nav2{
    font-weight: 300;
    position: relative;
    direction: rtl;
}
#nav2 ul{
    list-style-type: none;
    padding: 0px;
    margin-block-end: 20px;
    text-align: center;
}
#nav2 ul li{
    display: inline-block;
    margin: 0px 10px 0px 10px;
}
#sitemap ul li{
    color: var(--text-100);
}
#map{
    border-radius: 20px;
    box-shadow: 0px 5px 5px var(--bg-300);
}
@keyframes logoPlay{
    From{
        transform: translateY(-300px);
        opacity: 0;
    }
    to{
        transform: translateY(0px);
        opacity: 1;
    }
}
#logo{
    animation: logoPlay 3s;
    width: auto;
    height: 64px;
    background: url(favicon.png);

}
@keyframes navPlay {
    0%{
        transform: translateY(-200px);
        opacity: 0;
    }
    100%{
        transform: translateY(0px);
        opacity: 1;
    }
}
#nav li{
    animation: navPlay 2s forwards;
    opacity: 0; 
}@keyframes nav2Play {
    0%{
        transform: translateY(200px);
        opacity: 0;
    }
    100%{
        transform: translateY(0px);
        opacity: 1;
    }
}
#nav2 li{
    animation: nav2Play 2s forwards;
    opacity: 0; 
}
@keyframes upPlay {
    0%{
        transform: translateX(200px);
        opacity: 0;
    }
    100%{
        transform: translateX(0px);
        opacity: 1;
    }
}
#up{
    animation: upPlay 2s forwards;
    opacity: 0;
    z-index: 999;
}

@media screen and (min-width: 1024px)
{
    #main-menu{
        display: none;
    }
}
@media screen and (max-width: 1024px)
{
    main{
        width: 100%;
    }
    header{
        align-items: center;
        justify-content: center;
        position: relative;
    }
    #nav{
        display: none;
    }
}
@media screen and (max-width: 500px)
{
    main{
        grid-template-columns: auto;
        grid-template-rows: repeat(4, auto);
        grid-template-areas: 
        'header'
        'aside'
        'article'
        'footer'
        ;
    }
}